## slepc 3.2-p3.dfsg

=== debian/changelog ===
slepc (3.2-p3.dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * Changed to source format 3.0 (quilt) since it already uses quilt patches.
  * Added lintian overrides for Adam Powell's name.
  * Added symlink for header files.

  [ Adam C. Powell, IV ]
  * Bumped versioning on PETSc Build-Depends to 3.2.dfsg-5.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 27 Jan 2012 08:44:15 -0500

slepc (3.2-p3.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * Team upload.
  * New upstream release (Closes: #653618).
  * Update Standards-Version to 3.9.2 (no changes needed).

  [ Adam C. Powell, IV ]
  * Versioned Build-Depends on most recent PETSc, without which this build
    breaks.
  * Added myself to Uploaders list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 16 Jan 2012 11:16:53 -0500

slepc (3.1-p6.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * Bug fix: "please upgrade 3.1", thanks to trophime (Closes: #610587).
  * Bug fix: "ftbfs with gold or ld --no-add-needed", thanks to Matthias
    Klose (Closes: #615774).
  * Bug fix: "FTBFS on armel, ia64, mips and sparc", thanks to Mehdi
    Dogguy (Closes: #623447).
  * debian/patches: update petsc-shlib-link.patch for slepc 3.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 29 Apr 2011 04:05:06 +0200

slepc (3.1-p5.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream version

  [ Christophe Prud'homme ]
  * Update to -p5

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 10 Feb 2011 12:01:14 +0100

slepc (3.0.0-p7.dfsg-8) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: depends on libpetsc3.0.0 to ensure that the hppa
    breakage on libpetsc3.1 is bypassed

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 05 Jul 2010 16:22:27 +0200

slepc (3.0.0-p7.dfsg-7) unstable; urgency=low

  [Christophe Prud'homme]
  * Attempt to fix build on some arches: don't let petsc try to rebuild
    the shared libs

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 May 2010 08:35:01 +0200

slepc (3.0.0-p7.dfsg-6) unstable; urgency=low

  [Christophe Prud'homme]
  * moved to Debian Science
  * fix Depends to PETSc 3.1 and HDF5

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 12:49:20 +0200

slepc (3.0.0-p7.dfsg-5) unstable; urgency=low

  [Christophe Prud'homme]
  * Added patch for a more verbose diagnostic at configure time

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 11:44:05 +0200

slepc (3.0.0-p7.dfsg-4) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS: ERROR: Unable to link with PETSc", thanks to Lucas
    Nussbaum (Closes: #577291).
  * Provide patch for PETSc 3.1 and changes in the interface
  * Update Standards-Version to 3.8.4, no change

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 28 May 2010 13:50:42 +0200

slepc (3.0.0-p7.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: fixed lintian warnings

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 03 Jan 2010 08:35:04 +0100

slepc (3.0.0-p7.dfsg-2) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "Updating the slepc Maintainer/Uploaders list", thanks to
    Sandro Tosi (Closes: #550416).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 08 Nov 2009 08:09:43 +0100

slepc (3.0.0-p7.dfsg-1) unstable; urgency=low

  * New upstream release (patch level 7). Includes some fixes for PGHNEP
    problems and other minor fixes.
  * debian/control:
    - Update Standards-Version to 3.8.3.
    - Force libslepc3.0.0-dev to depend on the exact same version of
      libslepc3.0.0 (replace source:Version with binary:Version).
  * debian/rules: Use DEB_BUILD_GNU_SYSTEM to set PETSC_ARCH such that
    it does not fail on non linux-gnu architectures.
  * debian/README.source: Refer to README.source for quilt.
  * debian/watch: Use the dversionmangle option to remove the dfsg

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Nov 2009 08:23:03 +0100

slepc (3.0.0-p5.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * New upstream release (patch level 5). Includes updated
    conf/slepc_common_variables (closes: #528122).
  * debian/rules: Removed docs/slepc.pdf from tarball (no sources).
  * debian/control:
    - Change section to debug for -dbg package (lintian warning).
    - Updated Standards-Version to 3.8.2.
  * debian/patches: Added patch to link SLEPc shared library against
    PETSc shared libraries.

  [ Christophe Prud'homme ]
  * Bug fix: "Paths broken so petsc is unable to find slepc", thanks to
    root (Closes: #530625).
  * debian/rules: don't fail in mv if some files are not there

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 26 Aug 2009 18:12:44 +0200

slepc (3.0.0-p2-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
    + Released under GNU LGPL license.
    + Improved support for the case that many eigenpairs are to be
    computed. This is especially so in the default eigensolver
    (Krylov-Schur) for symmetric problems, as well as for SVD
    computations. The user can control the behaviour of the solver with a
    new parameter, mpd (see EPSSetDimensions).
    + Support for harmonic projection in the default eigensolver
    (Krylov-Schur), see EPSSetExtraction. This can be useful for computing
    interior or rightmost eigenvalues without the need of a spectral
    transformation.
    + Memory usage has been optimized in most solvers. In some cases,
    memory requirements have been halved with respect to the previous
    versions.
    + In the spectral transformations (ST) the linear solver used
    internally has been changed to a direct solver by default. The user
    can still employ an iterative linear solver by setting the appropriate
    options.
    + Added better support for Fortran 90.
    + Improved support for 'make install', see the Users Manual for
    details.
  * debian/copyright: updated to LGPL-3

