=== debian/control ===
Source: slepc
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
Build-Depends: debhelper (>= 7), quilt, python (>= 2.4.4-6), libpetsc3.2-dev (>= 3.2.dfsg-5), libpetsc3.2-dbg, libarpack2-dev, libarpack2-dbg, libhdf5-mpi-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.grycap.upv.es/slepc/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/slepc/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/slepc/trunk

Package: libslepc3.2-dev
Section: libdevel
Architecture: any
Depends: libslepc3.2 (= ${binary:Version}), libpetsc3.2-dev, libarpack2-dev, libhdf5-mpi-dev, ${misc:Depends}
Suggests: libslepc3.2-dbg (= ${binary:Version}), slepc3.2-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC.

Package: libslepc3.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc.

Package: libslepc3.2-dbg
Architecture: any
Section: debug
Depends: libslepc3.2-dev (= ${binary:Version}), libpetsc3.2-dbg, libarpack2-dbg, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static debugging libraries for SLEPc.

Package: slepc3.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc3.2-dev (= ${binary:Version})
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.
