=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# This file is strongly based on debian/rules from the Debian PETSc package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# SLEPC_VERSION is used for the package names, library sonames, and
# /usr/lib/slepcdir subdirectory names.
SLEPC_VERSION=3.2

# SLEPC_NAME is the install dir under /usr/lib and the base for package names
SLEPC_NAME=slepc$(SLEPC_VERSION)

# PETSC_ARCH is the architecture that PETSc was configured on.
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

# PETSC_DIR is the location of PETSc.
PETSC_DIR=/usr/lib/petsc

# These files need to be customized based on architecture and/or version.
# See the binary arch target for how they are generated.
ARCH_GENERATED_FILES=debian/lib$(SLEPC_NAME)-dev.postinst \
	debian/lib$(SLEPC_NAME)-dev.prerm

export CPPFLAGS=-I/usr/include/petsc

clean:
	dh_testdir
	-if [ -e patch ]; then \
	  debian/rules unpatch; \
	fi
	-mv tags thetags
	dh_clean
	-mv thetags tags
	rm -f build* install* $(ARCH_GENERATED_FILES)
	-$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) allclean
	-$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) allclean
# These probably should be removed by `make clean' but aren't
	rm -f `find . -name \*.pyc -print`
	rm -rf $(PETSC_ARCH)-c-debug $(PETSC_ARCH)-c-opt
	rm -rf lib debian/extemp

patch:
	if [ ! -e $@ ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2; \
	fi
	touch $@

unpatch:
	if [ -e patch ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2; \
	  rm -rf patch .pc; \
	fi

build-indep: patch
# We have nothing to do by default.
	touch $@

# With debugging=1, only static libraries are generated.
# Build optimized libs second so files are consistent with optimized.
build-arch: patch
	PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) ./configure --with-arpack-dir=/usr/lib/debug/usr/lib \
	  --with-arpack-flags=-lparpack,-larpack
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_INSTALL_DIR=/usr/lib/slepcdir/$(SLEPC_VERSION) \
	  SLEPC_DIR=$(CURDIR)
	PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) ./configure --with-arpack-dir=/usr/lib \
	  --with-arpack-flags=-lparpack,-larpack
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_INSTALL_DIR=/usr/lib/slepcdir/$(SLEPC_VERSION) \
	  SL_LINKER_SUFFIX_VERSIONED="so.$(SLEPC_VERSION)" \
	  SLEPC_DIR=$(CURDIR)
	touch $@

build: build-arch build-indep
	touch $@

install-arch: build-arch
# Install conf in PETSC_DIR
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/conf
	for cfile in `ls conf`; do \
	  grep -v top_builddir conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/conf/$$cfile ; \
	done
# Install PETSC_ARCH/conf and PETSC_ARCH/include files in SLEPC_DIR/PETSC_ARCH/;
# replace this dir with install dir, and remove top_builddir
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf
	for cfile in `ls $(PETSC_ARCH)-c-opt/conf`; do \
	  grep -v top_builddir $(PETSC_ARCH)-c-opt/conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf/$$cfile ; \
	done
	rm -f debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf/*.py
	cp -a $(PETSC_ARCH)-c-opt/include debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/
# Now conf and include for the -dbg package
	install -d debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf
	for cfile in `ls $(PETSC_ARCH)-c-debug/conf`; do \
	  grep -v top_builddir $(PETSC_ARCH)-c-debug/conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf/$$cfile ; \
	done
	rm -f debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf/*.py
	cp -a $(PETSC_ARCH)-c-debug/include debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/
# Install headers in SLEPC_DIR/include
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/finclude
	cp -p include/*.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include
	cp -p include/finclude/*.h include/finclude/*.h90 \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/finclude
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/private
	cp -p include/private/*.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/private
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/blopex
	sed "s/..\/src/src/" < src/eps/impls/external/blopex/slepc-interface.h > \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/blopex/slepc-interface.h
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/arpack
	cp -p src/eps/impls/external/arpack/arpackp.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/arpack
	cd debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include && \
	  ln -s ../$(PETSC_ARCH)-c-opt/include/*.h .
# Install libs in SLEPC_DIR, move shared libs to /usr/lib and symlink
	install -d debian/lib$(SLEPC_NAME)/usr/lib
	cp -a $(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/
	cp -a $(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/
	for LIB in `cd $(PETSC_ARCH)-c-opt/lib && ls *.so.*` ; \
	do \
	  mv debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/lib/$$LIB \
	    debian/lib$(SLEPC_NAME)/usr/lib/$$LIB ; \
	  ln -s ../../../../$$LIB \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/lib/$$LIB ; \
	done
# Make legacy symlinks including C++
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib
	ln -s ../$(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libO
	ln -s ../$(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libO_c++
	install -d debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib
	ln -s ../$(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libg
	ln -s ../$(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libg_c++
	touch install-arch

# Depends on install-arch because it creates SLEPC_DIR
install-indep: build-indep install-arch
ifeq ($(SLEPC_VERSION),3.2)
# Install header documentation in -doc/include
	install -d debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/finclude
	cp -p include/*.html \
	  debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include
	cp -p include/finclude/*.html \
	  debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/finclude
	install -d debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/private
	cp -p include/private/*.html \
