=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$//,downloadurlmangle=s/download.php\?filename=/distrib\//,filenamemangle=s/^.*(slepc.*?\.(?:tgz|tar\.gz))/$1/ \
 http://www.grycap.upv.es/slepc/download/download.htm ^.*slepc-(.+)\.(?:tgz|tar\.gz)$
