## slepc 3.6.1.dfsg1

=== debian/changelog ===
slepc (3.6.1.dfsg1-2build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:20:12 +0000

slepc (3.6.1.dfsg1-2build1) xenial; urgency=medium

  * No-change rebuild for openmpi1.10 transition.

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Feb 2016 11:30:14 +0200

slepc (3.6.1.dfsg1-2) unstable; urgency=medium

  * Build-Depends: gfortran. Closes: #751245, #778123.
  * Install examples into doc package. Closes: #726618.
  * Updated dependencies. Closes: #755180, #802706.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Oct 2015 12:04:35 +0800

slepc (3.6.1.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Add *-complex packages with support for complex numbers.
  * List DFSG files (docs/slepc.pdf) in debian/copyright.
  * Standards version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2015 10:44:26 +0800

slepc (3.4.2.dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - remove builddepends on libhdf5-mpi-dev (Closes: #755180)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 10 Sep 2014 14:36:42 +0200

slepc (3.4.2.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against gcc 4.9 (Closes: #751245)
  * Add debian/source
  * debian/rules:
    - simplify clean target 
    - remove patch target

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 24 Jun 2014 10:13:59 +0200

slepc (3.4.2.dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Add copyright information of files 
    src/eps/impls/external/blopex/petsc-interface.*
    Thanks to Paul Tagliamonte.

  [ Christophe Prud'homme ]
  * upload
  * add ${shlibs:Depends}  to -dbg Depends lines to fix lintian

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 24 May 2014 06:19:38 +0000

slepc (3.4.2.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream release
  * Add libparpack to BuildDepends

  [ Johannes Ring ]
  * Team upload.
  * Add symlink to the configuration header (Closes: #675039

  [ Sylvestre Ledru ]
  * remove -dbg packages from the build dep
  * Update Standards-Version to 3.9.4 (no changes needed).

  [ Anton Gladky ]
  * Use make instead of $(MAKE) to escape parallel build.
  * Override lintian error (seems, false-positive). Add dh_lintian to rules.

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Thu, 05 Sep 2013 10:49:52 +0200

slepc (3.2-p5-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Apr 2012 07:56:50 +0200
