=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# On Alpha, override this with debian/rules SLEPC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_HOST_MULTIARCH)
SLEPC_ARCH=$(PETSC_ARCH)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules SLEPC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
include /usr/share/mpi-default-dev/debian_defaults
SLEPC_MPI=$(ARCH_DEFAULT_MPI_IMPL)
SLEPC_MPI_DIR=/usr/lib/$(SLEPC_MPI)

# facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
export OMPI_MCA_orte_rsh_agent=/bin/false

SLEPC_HDF5_FLAGS=$(shell if [ -e /usr/lib/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=/usr"; fi)

SLEPC_BUILD_DIR=$(SLEPC_ARCH)-real
SLEPC_DEBUG_BUILD_DIR=$(SLEPC_ARCH)-real-debug
SLEPC_COMPLEX_BUILD_DIR=$(SLEPC_ARCH)-complex
SLEPC_COMPLEX_DEBUG_BUILD_DIR=$(SLEPC_ARCH)-complex-debug

# SLEPC_VERSION is used for the package names, library sonames, and
# /usr/lib/slepcdir subdirectory names.
SLEPC_VERSION=3.6.1$(SLEPC_EXT)
# use only major.minor as general soname (rather than major.minor.patch.build)
SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

# SLEPC_NAME is the install dir under /usr/lib and the base for package names
SLEPC_SONAME=slepc$(SLEPC_SONAME_VERSION)
SLEPC_NAME=slepc$(SLEPC_VERSION)
SLEPC_COMPLEX_SONAME=slepc-complex-$(SLEPC_SONAME_VERSION)
SLEPC_COMPLEX_NAME=slepc-complex-$(SLEPC_VERSION)

# debian binary package names
SLEPC_DEV_PACKAGE=$(SLEPC_NAME)-dev
SLEPC_VERSIONED_DEV_PACKAGE=lib$(SLEPC_NAME)-dev
SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_SONAME)
SLEPC_DEBUG_PACKAGE=lib$(SLEPC_NAME)-dbg
SLEPC_DOC_PACKAGE=$(SLEPC_NAME)-doc
SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dev
SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_SONAME)
SLEPC_COMPLEX_DEBUG_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dbg

# install into /usr/lib/slepcdir rather than /usr/lib/slepc 
# to allow /usr/lib/slepc to be configured by alternatives
SLEPC_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-real
SLEPC_DIR_DEBUG_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-real-debug
SLEPC_COMPLEX_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-complex
SLEPC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-complex-debug

PACKAGE_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-real
PACKAGE_INSTALL_DIR=$(PACKAGE_INSTALL_BASEDIR)/$(SLEPC_DIR_PREFIX)
PACKAGE_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-real-debug
PACKAGE_DEBUG_INSTALL_DIR=$(PACKAGE_DEBUG_INSTALL_BASEDIR)/$(SLEPC_DIR_DEBUG_PREFIX)
PACKAGE_COMPLEX_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex
PACKAGE_COMPLEX_INSTALL_DIR=$(PACKAGE_COMPLEX_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DIR_PREFIX)
PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex-debug
PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=$(PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DEBUG_DIR_PREFIX)

PETSC_VERSION=3.6.2
PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
PETSC_DIR_REAL=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real
PETSC_DIR_REAL_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real-debug
PETSC_DIR_COMPLEX=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-complex
PETSC_DIR_COMPLEX_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-complex-debug


export SLEPC_DIR=$(CURDIR)

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2


override_dh_auto_clean:
	if [ -d $(SLEPC_DEBUG_BUILD_DIR) ]; then \
	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -- \
	    SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_DEBUG_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_COMPLEX_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_COMPLEX_DEBUG_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_COMPLEX_DEBUG_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_COMPLEX_DEBUG_BUILD_DIR); \
	fi


#SLEPc cannot differentiate different configrations at build time 
# i.e. there is no SLEPC_ARCH, unlike PETSC_ARCH.
# So have to configure and build in one step
# Note SLEPc's ./configure refuses to allow additional (unknown) options
# so can't use dh_auto_configure
override_dh_auto_configure:

override_dh_auto_build:


override_dh_auto_test:
#	dh_auto_test -p$(SLEPC_DEBUG_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_DEBUG_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_DEBUG_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_COMPLEX_DEBUG_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_COMPLEX_DEBUG_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_DEBUG_BUILD_DIR)/lib


override_dh_auto_install:
	PETSC_DIR=$(PETSC_DIR_REAL) \
          ./configure --prefix=$(SLEPC_DIR_PREFIX)  \
            --with-arpack=1 \
            --shared-library-extension=_real
	dh_auto_build -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
            PETSC_DIR=$(PETSC_DIR_REAL)
	dh_auto_install -p$(SLEPC_VERSIONED_DEV_PACKAGE) --destdir=$(PACKAGE_INSTALL_DIR) --  \
          SLEPC_INSTALLDIR=$(SLEPC_DIR_PREFIX) \
          SLEPC_DESTDIR=$(PACKAGE_INSTALL_DIR) \
          PETSC_DIR=$(PETSC_DIR_REAL)
	echo PACKAGE_INSTALL_DIR=$(PACKAGE_INSTALL_DIR)
	echo SLEPC_DIR_PREFIX=$(SLEPC_DIR_PREFIX)
#	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
	
	PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) \
          ./configure --prefix=$(SLEPC_DIR_DEBUG_PREFIX)  \
          --with-arpack=1 --with-arpack-dir=/usr/lib/debug/usr/lib --with-arpack-flags=-lparpack,-larpack \
          --shared-library-extension=_real
	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -- \
          PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
          SLEPC_INSTALLDIR=$(SLEPC_DIR_DEBUG_PREFIX) \
          SLEPC_DESTDIR=$(PACKAGE_DEBUG_INSTALL_DIR)  \
          PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
#	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_DEBUG_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
	
	PETSC_DIR=$(PETSC_DIR_COMPLEX) \
          ./configure --prefix=$(SLEPC_COMPLEX_DIR_PREFIX)  \
