=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\d//,repacksuffix=.dfsg1 \
 http://slepc.upv.es/download/download.htm ^.*slepc-(.+)\.(?:tgz|tar\.gz)$
