## slepc 3.6.3.dfsg1

=== debian/changelog ===
slepc (3.6.3.dfsg1-3) unstable; urgency=medium

  * Drop /usr/lib/libslepc.so alternative from debug packages.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2016 19:51:11 +0800

slepc (3.6.3.dfsg1-2) unstable; urgency=medium

  * Remove alternatives link when packages are removed.
    - libslepc_real.so.3.6 (package libslepc3.6.3)
    - libslepc_complex.so.3.6 (package libslepc-complex-3.6.3)
    - libslepc_real.so (package libslepc3.6.3-dev)
    - libslepc_complex.so (package libslepc-complex-3.6.3-dev) 
    Closes: #820283.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Apr 2016 20:21:51 +0800

slepc (3.6.3.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch to include filename mangling.
  * Standards-Version: 3.9.7
  * Build doc package from files installed for the debug package.
    Closes: #817167.
  * Drop legacy alternative link to /usr/lib/libslepc.so. It just makes
    trouble with ldconfig.

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Apr 2016 15:42:12 +0800
