=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
  pkg-config, dh-python, gfortran,
- libpetsc3.6.2-dev, libpetsc3.6.2-dbg,
- libpetsc-complex-3.6.2-dev, libpetsc-complex-3.6.2-dbg,
+ libpetsc3.6.3-dev, libpetsc3.6.3-dbg,
+ libpetsc-complex-3.6.3-dev, libpetsc-complex-3.6.3-dbg,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc.git
@@ -17,7 +17,7 @@
 Package: slepc-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.6.1-dev, ${misc:Depends}
+Depends: libslepc3.6-dev, ${misc:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -27,12 +27,27 @@
  .
  This is a virtual package which depends on the latest version of SLEPc.
 
-Package: libslepc3.6.1-dev
+Package: libslepc3.6-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.6 (= ${binary:Version}), libpetsc3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
+Depends: libslepc3.6.3-dev, ${misc:Depends}, ${python:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package that depends on the latest version of SLEPc 3.6 
+ which provides the static libraries, shared links, and header files
+ for SLEPC with real numbers.
+
+Package: libslepc3.6.3-dev
+Section: libdevel
+Architecture: any
+Depends: libslepc3.6.3 (= ${binary:Version}), libpetsc3.6.3-dev, libarpack2-dev, libhdf5-mpi-dev, 
  ${misc:Depends}, ${python:Depends}
-Suggests: libslepc3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
+Suggests: libslepc3.6.3-dbg (= ${binary:Version}), slepc3.6.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -44,11 +59,12 @@
  This package contains the static libraries, shared links, and header files
  for SLEPC with real numbers.
 
-Package: libslepc3.6
+Package: libslepc3.6.3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libslepc2.3.2
+Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
+Replaces: libslepc3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -58,10 +74,10 @@
  .
  This package contains the shared libraries for SLEPc with real numbers.
 
-Package: libslepc3.6.1-dbg
+Package: libslepc3.6.3-dbg
 Architecture: any
 Section: debug
-Depends: libslepc3.6.1-dev (= ${binary:Version}), libpetsc3.6.2-dbg, libarpack2-dbg, 
+Depends: libslepc3.6.3-dev (= ${binary:Version}), libpetsc3.6.3-dbg, libarpack2-dbg, 
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -72,11 +88,11 @@
  .
  This package contains the debugging libraries for SLEPc with real numbers.
 
-Package: slepc3.6.1-doc
+Package: slepc3.6.3-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc3.6.1-dev (= ${binary:Version})
+Suggests: libslepc3.6.3-dev (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -86,12 +102,27 @@
  .
  This package contains the documentation and examples for SLEPc.
 
-Package: libslepc-complex-3.6.1-dev
+Package: libslepc-complex-3.6-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.6 (= ${binary:Version}), libpetsc-complex-3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
+Depends: libslepc-complex-3.6.3-dev, ${misc:Depends}, ${python:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package that depends on the latest version of SLEPc 3.6 
+ which provides the static libraries, shared links, and header files
+ for SLEPC with complex numbers.
+
+Package: libslepc-complex-3.6.3-dev
+Section: libdevel
+Architecture: any
+Depends: libslepc-complex-3.6.3 (= ${binary:Version}), libpetsc-complex-3.6.3-dev, libarpack2-dev, libhdf5-mpi-dev, 
  ${misc:Depends}, ${python:Depends}
-Suggests: libslepc-complex-3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
+Suggests: libslepc-complex-3.6.3-dbg (= ${binary:Version}), slepc3.6.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -103,11 +134,12 @@
  This package contains the static libraries, shared links, and header files
  for SLEPC with complex numbers.
 
-Package: libslepc-complex-3.6
+Package: libslepc-complex-3.6.3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libslepc2.3.2
+Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
+Replaces: libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -117,10 +149,10 @@
  .
  This package contains the shared libraries for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.6.1-dbg
+Package: libslepc-complex-3.6.3-dbg
 Architecture: any
 Section: debug
-Depends: libslepc-complex-3.6.1-dev (= ${binary:Version}), libpetsc-complex-3.6.2-dbg, libarpack2-dbg, 
+Depends: libslepc-complex-3.6.3-dev (= ${binary:Version}), libpetsc-complex-3.6.3-dbg, libarpack2-dbg, 
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
