=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 # SLEPC_VERSION is used for the package names, library sonames, and
 # /usr/lib/slepcdir subdirectory names.
-SLEPC_VERSION=3.6.1$(SLEPC_EXT)
+SLEPC_VERSION=3.6.3$(SLEPC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
 SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
@@ -63,11 +63,11 @@
 # debian binary package names
 SLEPC_DEV_PACKAGE=$(SLEPC_NAME)-dev
 SLEPC_VERSIONED_DEV_PACKAGE=lib$(SLEPC_NAME)-dev
-SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_SONAME)
+SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_NAME)
 SLEPC_DEBUG_PACKAGE=lib$(SLEPC_NAME)-dbg
 SLEPC_DOC_PACKAGE=$(SLEPC_NAME)-doc
 SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dev
-SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_SONAME)
+SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_NAME)
 SLEPC_COMPLEX_DEBUG_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dbg
 
 # install into /usr/lib/slepcdir rather than /usr/lib/slepc 
@@ -86,7 +86,7 @@
 PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex-debug
 PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=$(PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DEBUG_DIR_PREFIX)
 
-PETSC_VERSION=3.6.2
+PETSC_VERSION=3.6.3
 PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
 PETSC_DIR_REAL=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real
 PETSC_DIR_REAL_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real-debug
@@ -103,7 +103,7 @@
 
 override_dh_auto_clean:
 	if [ -d $(SLEPC_DEBUG_BUILD_DIR) ]; then \
-	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -- \
+	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) -- \
 	    SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_DEBUG_BUILD_DIR); \
 	fi
 	if [ -d $(SLEPC_BUILD_DIR) ]; then \
@@ -164,13 +164,12 @@
           ./configure --prefix=$(SLEPC_DIR_DEBUG_PREFIX)  \
           --with-arpack=1 --with-arpack-dir=/usr/lib/debug/usr/lib --with-arpack-flags=-lparpack,-larpack \
           --shared-library-extension=_real
-	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -- \
+	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) -- \
           PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
-	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
+	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) \
+          --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
           SLEPC_INSTALLDIR=$(SLEPC_DIR_DEBUG_PREFIX) \
           SLEPC_DESTDIR=$(PACKAGE_DEBUG_INSTALL_DIR)  \
           PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
 #	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_DEBUG_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
 	
-	PETSC_DIR=$(PETSC_DIR_COMPLEX) \
-          ./configure --prefix=$(SLEPC_COMPLEX_DIR_PREFIX)  \
