=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg\d//,repacksuffix=.dfsg1, filenamemangle=s/.*=(.*)/$1/" \
 http://slepc.upv.es/download/download.php\?filename=slepc-(.+)\.(?:tgz|tar\.gz)$
